[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: Fw: [wtp-dev] Upgrading Jem runtime this weekend


I agree with you Jefffrey. When ever someone makes changes to plugins or pre-reqs, they should ensure that a PDE build still runs in their development envrionment, part of which is having correct feature.xml files.  This is mentioned in our "practices" document and is part of the responsibilities of being a committer.  (Please, lets don't have so many violations we have to start tracking "build breakers"!  :)


David





Jeffrey Liu <jeffliu@xxxxxxxxxx>
Sent by: wtp-dev-admin@xxxxxxxxxxx

03/19/2005 01:03 PM

Please respond to
wtp-dev

To
wtp-dev@xxxxxxxxxxx
cc
Subject
Re: Fw: [wtp-dev] Upgrading Jem runtime this weekend






It wasn't clear to me who should update feature.xml. I thought the feature.xml changes will go with the plugin changes because in order to get the plugin changes to compile, one will need the environment to be setup (all the necessary plugins checked out, the pre-req unzipped, etc). And with an already setup environment, computing the feature.xml changes is just one click away. In any event, I've updated the feature.xml files to use the new JEM.


Thanks,


Jeffrey Liu
IBM Rational Software - Performance Analyst
IBM Toronto Lab.
8200 Warden Ave. Markham, Ontario, L6G 1C7
Internal mail: D3/R8V/8200/MKM (D3-268)
T/L: 969 3531
Tel: (905) 413 3531
Fax: (905) 413 4920
jeffliu@xxxxxxxxxx



David M Williams <david_williams@xxxxxxxxxx>
Sent by: wtp-dev-admin@xxxxxxxxxxx

03/18/2005 10:00 PM

Please respond to
wtp-dev

To
wtp-dev@xxxxxxxxxxx
cc
Subject
Fw: [wtp-dev] Upgrading Jem runtime this weekend








I've I'm seeing things right .... I think the authors of this change have not corrected the feature.xml files yet?
They still contain "com.ibm" versions of JEM related plugins?

Please correct HEAD versions (or let us know if I'm not seeing correctly).





----- Forwarded by David M Williams/Raleigh/IBM on 03/18/2005 09:58 PM -----
Jeffrey Liu <jeffliu@xxxxxxxxxx>
Sent by: wtp-dev-admin@xxxxxxxxxxx

03/18/2005 02:42 PM

Please respond to
wtp-dev


To
wtp-dev@xxxxxxxxxxx
cc
Subject
Re: [wtp-dev] Upgrading Jem runtime this weekend










I've updated the build script with the JEM driver below.


Jeffrey Liu
IBM Rational Software - Performance Analyst
IBM Toronto Lab.
8200 Warden Ave. Markham, Ontario, L6G 1C7
Internal mail: D3/R8V/8200/MKM (D3-268)
T/L: 969 3531
Tel: (905) 413 3531
Fax: (905) 413 4920
jeffliu@xxxxxxxxxx

Chuck Bridgham <cbridgha@xxxxxxxxxx>
Sent by: wtp-dev-admin@xxxxxxxxxxx

03/18/2005 10:27 AM

Please respond to
wtp-dev


To
wtp-dev@xxxxxxxxxxx
cc
Subject
[wtp-dev] Upgrading Jem runtime this weekend












Now that the IB has been declared, we are ready to move up the JEM prereq to their latest IB:

BTW - I am requesting the JDK rather than the runtime for debuging purposes....


JEM-SDK-I20050315.zip

    http://www.eclipse.org/downloads/download.php?file=/tools/ve/downloads/drops/I-I20050315-200503150922/JEM-SDK-I20050315.zip


Can we move this up targeting for tonights Nightly build?


We will have reacted to the package renames by then.


Thanks - Chuck



Rational J2EE Tooling Team Lead
IBM Software Lab - Research Triangle Park, NC
Email:  cbridgha@xxxxxxxxxx
Phone: 919-254-1848 (T/L: 444)